Skip to main content
POST
/
duplicateGoogleDocTemplate
Duplicate template
curl --request POST \
  --url https://api.docsautomator.co/duplicateGoogleDocTemplate \
  --header 'Authorization: Bearer <token>'
{
  "message": "Google Doc template duplicated successfully",
  "newTemplateId": "<string>",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key from your workspace settings. Pass as Authorization: Bearer <key> or X-API-Key: <key>. Find it at app.docsautomator.co/settings/workspace/api.

Query Parameters

automationId
string
required

The automation ID.

newTemplateName
string

Custom name for the duplicated template. Defaults to the automation title.

Response

Template duplicated

message
string
Example:

"Google Doc template duplicated successfully"

newTemplateId
string

Google Doc ID of the new template.

url
string<uri>

URL to edit the new template.

Last modified on May 26, 2026